﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace MVCsample.Models
{
    public class DataRepository
    {
        public static IList<TickDto> GetAllRecords()
        {
            IList<TickDto> ticks = (IList<TickDto>)HttpContext.Current.Session["Ticks"];

            if (ticks == null)
            {
                ticks = (from tick in new NorthwindDataContext().Ticks
                                                                        select new TickDto
                                                                        {
                                                                            TickId = tick.TickId,
                                                                            Ask = tick.Ask,
                                                                            Bid = tick.Bid,
                                                                            GmtDateTime = tick.GmtDateTime,
                                                                            InstrumentId = tick.InstrumentId,
                                                                        }).ToList();

            }
            HttpContext.Current.Session["Ticks"] = ticks;
            return ticks;
        }
    }
}